summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--satellit_upgrader/updater.template.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/satellit_upgrader/updater.template.sh b/satellit_upgrader/updater.template.sh
index bd30759..6832954 100644
--- a/satellit_upgrader/updater.template.sh
+++ b/satellit_upgrader/updater.template.sh
@@ -791,6 +791,15 @@ done
# java.awt.AWTError: Assistive Technology not found: org.GNOME.Accessibility.AtkWrapper
sed -i -e '/^assistive_technologies=/s/^/#/' /etc/java-*-openjdk/accessibility.properties &> /dev/null
+# Create /var/log/journal to make the journal persistent.
+# NOTE: The default journald configuration is set to max 4G space taken
+# which should be easily satisfied by the size of the rootfs.
+if ! [ -d /var/log/journal ]; then
+ mkdir -p /var/log/journal
+ systemd-tmpfiles --create --prefix /var/log/journal
+ systemctl restart systemd-journald
+fi
+
# ************************** LIGHTY ************************
# XXX
if [ -n "${restart["lighttpd.service"]}" ]; then